$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-20.2.2-RC.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-20.2.2-RC.msi'
  softwareName = 'Invantive Query Tool'
  checksum = '1A8C61813ED06493471B2E3B492A3BA0D488AD27D2E1C9B950CD2758F8EA06A4'
  checksumType = 'sha256'
  checksum64 = '1A8C61813ED06493471B2E3B492A3BA0D488AD27D2E1C9B950CD2758F8EA06A4'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-20.2.2-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
